;+
;NAME:
;     KILL_INDEX
;PURPOSE:
;     Delete an array of numbers from another array of numbers.
;     Returns -1 if all the entire vector gets killed.
;CATEGORY:
;CALLING SEQUENCE:
;     new_index = kill_index(old_index,kill_vector)
;INPUTS:
;     old_index = old vector 
;     kill_vector = vector of numbers to delete from old_index
;OPTIONAL INPUT PARAMETERS:
;KEYWORD PARAMETERS
;OUTPUTS:
;     new_index = the new vector of numbers with kill_vector deleted
;COMMON BLOCKS:
;SIDE EFFECTS:
;RESTRICTIONS:
;PROCEDURE:
;     Uses where_arr.
;MODIFICATION HISTORY:
;     T. Metcalf  Sep 9, 1992
;     18-May-00 LWA, changed data type of loop index i to long.
;-

function kill_index,index,kill

   oindex = index
   if n_elements(kill) GE 1 and n_elements(index) GE 1 then begin
      badi = where_arr(index,kill)
      if badi(0) NE -1 then begin
        if n_elements(badi) EQ n_elements(index) then begin
            oindex=-1
            endif $
         else begin
            goodi=-1
            for i=0L,n_elements(index)-1 do begin
               if (where(badi EQ i))(0) EQ -1 then goodi = [goodi,i]
            endfor
            oindex = index(goodi(1:n_elements(goodi)-1))
         endelse
      endif
   endif

   return,oindex
end
